<template>
    <div class="sidebar-wrapper">
        <calendar/>
        <top-leagues
            :items="topsLeagues"
            :title="`Top Leagues`"
            :collapsable="true"
            :loading="topsLeaguesLoading"
        />
        <ad-place v-if="leftBanners.length && leftBanners[0]" :banner="leftBanners[0]" />
        <leagues
            :items="allLeagues"
            :title="`Leagues`"
            :collapsable="false"
            :loading="allLeaguesLoading"
        />
        <ad-place v-if="leftBanners.length && leftBanners[1]" :banner="leftBanners[1]" />
        <ad-place v-if="leftBanners.length && leftBanners[2]" :banner="leftBanners[2]" />
    </div>
</template>

<script>
import Calendar from './Calendar'
import Leagues from './Leagues'
import AdPlace from './AdPlace'
import {mapActions, mapGetters} from 'vuex'
import TopLeagues from './TopLeagues'
export default {
    name: 'SidebarLeft',
    data() {
        return {
            allLeaguesLoading: true,
            topsLeaguesLoading: true,
            leaguesLoading: true,
            topLeagues: [],
            leftBanners: []
        }
    },
    computed: {
        ...mapGetters(['allLeagues','topsLeagues']),


    },
    methods: {
        ...mapActions(['fetchAllLeagues','fetchTopsLeagues'])
    },
    mounted() {
        this.allLeaguesLoading = true
        this.topsLeaguesLoading = true
        this.fetchAllLeagues().finally(() => {
            this.allLeaguesLoading = false
        })
        this.fetchTopsLeagues().finally(() => {
            this.topsLeaguesLoading = false
        })
        this.$root.$on('getBanners', (banners) => {
            if (banners.left.length) {
                this.leftBanners = banners.left
                this.$forceUpdate()
                this.$log.debug('leftBanners', this.leftBanners)
            }
        })
    },
    components: {
        TopLeagues,
        Calendar,
        Leagues,
        AdPlace,
    },
}
</script>
